% SOM Toolbox
% Version 2.0beta, Apr 20 2000
% 
% Copyright 1997-2000 by
% Esa Alhoniemi, Johan Himberg, Juha Parhankangas and Juha Vesanto
% Contributed files may contain copyrights of their own.
% 
% SOM Toolbox comes with ABSOLUTELY NO WARRANTY; for details
% see License.txt in the program package. This is free software,
% and you are welcome to redistribute it under certain conditions;
% see License.txt for details.
% 
% 
% Demos
% 
%            som_demo1   SOM Toolbox demo 1: basic properties
%            som_demo2   SOM Toolbox demo 2: basic usage
%            som_demo3   SOM Toolbox demo 3: visualization
%            som_demo4   SOM Toolbox demo 4: data analysis
% 
% Creation of structs
% 
%              som_set   create & set (& check) values to structs
%             som_info   print out information on a given struct  
%      som_data_struct   create & initialize a data struct 
%       som_map_struct   create & initialize a map struct 
%     som_topol_struct   create & initialize a topology struct 
%     som_train_struct   create & initialize a train struct 
% 
% Struct conversion and file I/O
% 
%           som_vs1to2   converts a version 1.0 struct to version 2.0 struct
%           som_vs2to1   converts a version 2.0 struct to version 1.0 struct
%        som_read_data   reads a (SOM_PAK format) ASCII data file
%       som_write_data   writes a SOM_PAK format codebook file
%        som_write_cod   writes a SOM_PAK format data file
%         som_read_cod   reads a SOM_PAK format codebook file
% 
% Data preprocessing
% 
%        som_normalize   normalize data set
%      som_denormalize   denormalize data set 
%    som_norm_variable   (de)normalize one variable
%           preprocess   preprocessing GUI
% 
% Initialization and training functions
% 
%             som_make   create, initialize and train a SOM
%         som_randinit   random initialization algorithm
%          som_lininit   linear initialization algorithm
%         som_seqtrain   sequential training algorithm
%       som_batchtrain   batch training algorithm
%              som_gui   SOM initialization and training GUI
%       som_prototrain   a simple version of sequential training: easy to modify
% 
% Clustering algorithms
% 
%               kmeans   k-means algorithm
%      kmeans_clusters   try and evaluate several k-means clusterings
%           neural_gas   neural gas vector quantization algorithm
% 
% Supervised/classification algorithms
% 
%       som_supervised   supervised SOM algorithm
%                 lvq1   LVQ1 algorithm
%                 lvq3   LVQ3 algorithm
%                  knn   k-NN classification algorithm
% 
% SOM error measures
% 
%          som_quality   quantization and topographic error of SOM
%       som_distortion   SOM distortion measure
% 
% Auxiliary functions
% 
%             som_bmus   calculates BMUs for given data vectors
%           som_divide   extract subsets of data based on map
%            som_label   give labels to map units
%        som_autolabel   automatically labels the SOM based on given data
%      som_unit_coords   calculates coordinates in output space for map units
%       som_unit_dists   distances in output space between map units
%      som_unit_neighs   units in 1-neighborhood for each map unit
%     som_neighborhood   calculates neighborhood matrix for the given map
%           som_select   GUI for manual selection of map units
%     som_estimate_gmm   create Gaussian mixture model on top of SOM
%  som_probability_gmm   evaluate Gaussian mixture model
%          som_ind2sub   from linear index to subscript index 
%          som_sub2ind   from subscript index to linear index
%             nanstats   mean, std and median which ignore NaNs
% 
% Using SOM_PAK from Matlab
% 
%      som_sompaktrain   uses SOM_PAK to train a map
%           sompak_gui   GUI for using SOM_PAK from Matlab
%          sompak_init   call SOM_PAK's initialization programs from Matlab
%      sompak_init_gui   GUI for using SOM_PAK's initialization from Matlab
%    sompak_rb_control   an auxiliary function for sompak_*_gui functions.
%        sompak_sammon   call SOM_PAK's Sammon program from Matlab
%    sompak_sammon_gui   GUI for using SOM_PAK's Sammon program from Matlab
%         sompak_train   call SOM_PAK's training program from Matlab
%     sompak_train_gui   GUI for using SOM_PAK's training program from Matlab 
% 
% Visualization
% 
%             som_show   basic visualization
%         som_show_add   add labels, hits and trajectories
%       som_show_clear   remove extra markers
%       som_recolorbar   refresh/reconfigure colorbars
%             som_grid   visualization of SOM network
%           som_cplane   component planes and U-matrices
%         som_barplane   bar chart visualization of map
%         som_pieplane   pie chart visualization of map
%        som_plotplane   plot chart visualization of map
%       som_trajectory   launches a GUI for presenting comet-trajectories 
% 
% Auxiliary functions for visualization
% 
%       som_connection   connection matrix for map 
%             som_hits   calculates the response of data on the map
%             som_umat   calculates the U-matrix
%                  cca   curvilinear component analysis projection algorithm
%              pcaproj   principal component projection algorithm
%               sammon   Sammon's mapping projection algorithm
%        som_colorcode   create color coding for map/2D data
%         som_bmucolor   colors of the BMUs from a given map color code
%        som_normcolor   simulate indexed colormap
%     som_clustercolor   color coding which depends on clustering structure
%      som_kmeanscolor   color coding according to k-means clustering
% 
% Low level routines used by visualization functions
% 
%       som_vis_coords   map unit coordinates used in visualizations
%            vis_patch   defines hexagonal and rectangular patches
%    vis_som_show_data   returns UserData and subplot handles stored by som_show.m
%        vis_valuetype   used for type checks 
%         vis_footnote   adds a movable text to the current figure 
%          vis_trajgui   the actual GUI started by som_trajectory.m 
% vis_PlaneAxisProperties   set axis properties in visualization functions
% vis_footnoteButtonDownFcn   callback function for vis_footnote.m
% 
% Other
% 
%           somtoolbox   this file
%            iris.data   IRIS data set (used in demos)
%          License.txt   GNU General Public License 
%        Copyright.txt   Copyright notice
